Fix curl/wget detection. Fixes #478
diff --git a/nvm.sh b/nvm.sh
index 1197059..538922b 100644
--- a/nvm.sh
+++ b/nvm.sh
@@ -317,7 +317,7 @@
       version_not_provided=0
       local provided_version
 
-      if ! nvm_has "nvm_download"; then
+      if ! nvm_has "curl" && ! nvm_has "wget"; then
         echo 'nvm needs curl or wget to proceed.' >&2;
         return 1
       fi